aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/opie-unikeyboard/opie-unikeyboard.inc
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/opie-unikeyboard/opie-unikeyboard.inc
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/opie-unikeyboard/opie-unikeyboard.inc')
-rw-r--r--recipes/opie-unikeyboard/opie-unikeyboard.inc31
1 files changed, 31 insertions, 0 deletions
diff --git a/recipes/opie-unikeyboard/opie-unikeyboard.inc b/recipes/opie-unikeyboard/opie-unikeyboard.inc
new file mode 100644
index 0000000000..7bdf06d64e
--- /dev/null
+++ b/recipes/opie-unikeyboard/opie-unikeyboard.inc
@@ -0,0 +1,31 @@
+DESCRIPTION = "Unicode input method"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "qunikeyboard"
+
+
+S = "${WORKDIR}/unikeyboard"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+${bindir}/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libqunikeyboard.so*
+do_install() {
+}
+